swSigma2 {oce} | R Documentation

## Seawater potential density anomaly referenced to 2000db pressure

### Description

Compute sigma, the potential density of seawater (minus 1000 kg/m^3), referenced to 2000db pressure.

### Usage

    swSigma2(salinity, temperature = NULL, pressure = NULL, longitude = NULL,
      latitude = NULL, eos = getOption("oceEOS", default = "gsw"))

### Arguments

`salinity` | either practical salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object, in which case `salinity`, `temperature` (in the ITS-90 scale; see next item), etc. are inferred from the object.

`temperature`

in-situ temperature [degC], defined on the ITS-90 scale. This scale is used by GSW-style calculation (as requested by setting `eos="gsw"`), and is the value contained within `ctd` objects (and probably most other objects created with data acquired in the past decade or two). Since the UNESCO-style calculation is based on IPTS-68, the temperature is converted within the present function, using `T68fromT90`.

`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` [1,2] or `"gsw"` [3,4].

### Details

Definition: sigma_1=sigma_theta=rho(S,theta(S,t,p),2000) - 2000 kg/m^3.

### Value

Potential density anomaly [kg/m^3].

### Author(s)

Dan Kelley

### References

See citations provided in the `swRho` documentation.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

[Package oce version 0.9-22 Index]